Summary: WebKit bindings for Mono
Name: webkit-sharp
Version: 0.3
Release: %mkrel 10
Source0: %{name}-%{version}.tar.bz2
Patch0: webkit-sharp-0.3-fedora-dllmap.patch
License: MIT
Group: Development/C#
Url: http://mono.ximian.com/monobuild/preview/sources/webkit-sharp/
BuildRequires: libwebkitgtk-devel
BuildRequires: mono-devel
BuildRequires: gtk-sharp2-devel
BuildRequires: gtk-sharp2
BuildRequires: monodoc
Requires: libwebkitgtk >= 1.1.1
BuildArch: noarch

%description
WebKit is a web content engine, derived from KHTML and KJS from KDE, and used
primarily in Apple's Safari browser. It is made to be embedded in other
applications, such as mail readers, or web browsers.

This package provides Mono bindings for WebKit libraries.

%package doc
Summary:	Development documentation for %name
Group:		Development/C#
Requires(post):		mono-tools >= 1.1.9
Requires(postun):	mono-tools >= 1.1.9

%description doc
This package contains the API documentation for %name in
Monodoc format.

%package devel
Summary:	Development files for %name
Group:		Development/C#
Requires: %name = %version

%description devel
This package contains the development files needed to build with %{name}.

%prep
%setup -q
%patch0 -p1 -b .dllmap

%build
./configure --prefix=%_prefix --libdir=%_prefix/lib
make

%install
%makeinstall_std pkgconfigdir=%_datadir/pkgconfig

%post doc
%_bindir/monodoc --make-index > /dev/null

%postun doc
if [ "$1" = "0" -a -x %_bindir/monodoc ]; then %_bindir/monodoc --make-index > /dev/null
fi

%files
%doc AUTHORS
%_prefix/lib/mono/gac/webkit-sharp
%_prefix/lib/mono/webkit-sharp

%files devel
#gw this contains a dep on pkgconfig(gtk-sharp-2.0)
%_datadir/pkgconfig/*.pc

%files doc
%_prefix/lib/monodoc/sources/%{name}*






%changelog
* Sun Dec 20 2015 tv <tv> 0.3-10.mga6
+ Revision: 912670
- rebuild for mono4

* Wed Oct 15 2014 umeabot <umeabot> 0.3-9.mga5
+ Revision: 750096
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3-8.mga5
+ Revision: 690285
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.3-7.mga4
+ Revision: 533979
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 stormi <stormi> 0.3-6.mga4
+ Revision: 475936
- add fedora patch to make it use the correct .so file for libwebkitgtk (mga #9603)

* Mon Jan 14 2013 umeabot <umeabot> 0.3-5.mga3
+ Revision: 385669
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 20 2012 malo <malo> 0.3-4.mga3
+ Revision: 308570
- update RPM group

* Sun Jun 26 2011 fwang <fwang> 0.3-3.mga2
+ Revision: 113956
- rebuild for new webkit

* Sat Jan 15 2011 pterjan <pterjan> 0.3-2.mga1
+ Revision: 18967
- imported package webkit-sharp

